/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprojectnotify.entity;

import com.jeeplus.modules.sys.entity.User;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import javax.xml.crypto.Data;
import java.util.Date;

/**
 * 通知Entity
 * @author yangfan
 * @version 2017-11-10
 */
public class WorkProjectNotify extends DataEntity<WorkProjectNotify> {
	
	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司主键
	private String title;		// 标题
	private String content;		// 内容
	private String type;		// 类型
	private String types;		// 多个类型
	private User user;		// 通知人
	private String notifyId;		// 通知信息id
	private String status;		// 读取状态
	private String notifyRole;// 通知角色
	private String ids;
	private String kind;
	private String officeId;
	private String processInstanceId;
	private Date startDate;
	private Date endDate;
	private String userName;

	public WorkProjectNotify() {
		super();
	}

	public WorkProjectNotify(String id){
		super(id);
	}

	@ExcelField(title="公司主键", align=2, sort=7)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="标题", align=2, sort=8)
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	
	@ExcelField(title="内容", align=2, sort=9)
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	
	@ExcelField(title="类型", align=2, sort=10)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="通知人", align=2, sort=11)
	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	
	@ExcelField(title="通知信息id", align=2, sort=12)
	public String getNotifyId() {
		return notifyId;
	}

	public void setNotifyId(String notifyId) {
		this.notifyId = notifyId;
	}
	
	@ExcelField(title="读取状态", align=2, sort=13)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getNotifyRole() {
		return notifyRole;
	}

	public void setNotifyRole(String notifyRole) {
		this.notifyRole = notifyRole;
	}

	public String getIds() {
		return ids;
	}

	public void setIds(String ids) {
		this.ids = ids;
	}

	public String getKind() {
		return kind;
	}

	public void setKind(String kind) {
		this.kind = kind;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getTypes() {
		return types;
	}

	public void setTypes(String types) {
		this.types = types;
	}
}